#! make -f
#----------------------------------------------------------------------------
# Project:  NitroSDK -     -
# File:     Makefile
#
# Copyright 2003,2004 Nintendo.  All rights reserved.
#
# These coded insructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Log: Makefile,v $
# Revision 1.3  2004/09/17 11:23:31  yasu
# update only newly build
#
# Revision 1.2  2004/09/17 10:45:56  yasu
# fix install directory
#
# Revision 1.1  2004/09/15 13:17:23  yasu
# Generate version.h before build tree
#
# $NoKeywords: $
#----------------------------------------------------------------------------
include	$(NITROSDK_ROOT)/build/buildtools/commondefs

TARGETS			= version.h
TARGETS_MAKEFILE	= $(ROOT)/release/Makefile
INSTALL_TARGETS		= $(TARGETS)
INSTALL_DIR		= $(NITRO_INSTALL_INCDIR)/nitro
LDIRT_CLEAN		= $(TARGETS)

include	$(NITROSDK_ROOT)/build/buildtools/modulerules

do-build:	$(TARGETS)

$(TARGETS):	$(TARGETS_MAKEFILE)
		@$(MAKE) -s -f $(TARGETS_MAKEFILE) VERSIONFILE=$(TARGETS) version > /dev/null

#===== End of Makefile =====
